Page MenuHomePhabricator

Create Wikipedia Lite app.
Closed, DeclinedPublic

Description

Create an app that is specifically tuned for low-end devices.
Key features for the app:

  • Eliminate the use of WebView(s), and display content only in native components.
  • Minimize the use of heavy animations and transitions.
  • Minimize network usage.
  • Minimize APK size (remove unnecessary icons/graphics, as well as unnecessary libraries).

Please see the mobile apps page for the hackathon for more details in general.

Event Timeline

Dbrant created this task.Feb 25 2015, 6:50 PM
Dbrant raised the priority of this task from to Needs Triage.
Dbrant updated the task description. (Show Details)
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2015, 6:50 PM

nb: I'm specifying this as my Hackathon task.

Curious about the intersection between "low-end devices" and "iOS"...

cscott added a subscriber: cscott.Feb 27 2015, 7:29 PM

Using Parsoid-format output (see https://www.mediawiki.org/wiki/Parsoid/MediaWiki_DOM_spec and http://nell-wikipedia.github.cscott.net/ which uses it, as does Kiwix, the OCG backend, Visual Editor, etc) might be helpful. That takes care of all the hard work on wikitext parsing. (The public API is at http://parsoid-lb.eqiad.wikimedia.org/ .) You could then use a lynx-style "minimal HTML renderer" to extract just the article text, suppressing infoboxes, navigation boxes, and other heavyweight content and styling.

Curious about the intersection between "low-end devices" and "iOS"...

Low-end devices applies more to Android than it does to iOS, but there are indeed lots of older iOS devices running in the wild, too.

I added the iOS tag in hopes of mirroring this effort on iOS at the hackathon. It's nicely approachable task, and I think it could even cater to users interested in having nightmode reading (with simplified app assumptions, it's easy to do nightmode - or even to make it a standard feature to help differentiate the app).

It has been advised that Wikipedia Lite not be worked on for iOS. I'll remove the tag. For the hackathon, I'm planning to do Wikipedia Radio instead, and I'll create a Phabricator task for that.

It has been advised that Wikipedia Lite not be worked on for iOS. I'll remove the tag. For the hackathon, I'm planning to do Wikipedia Radio instead, and I'll create a Phabricator task for that.

https://phabricator.wikimedia.org/T91658

dr0ptp4kt updated the task description. (Show Details)May 7 2015, 5:25 PM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

Qgil added a comment.EditedJun 4 2015, 10:43 AM

We are trying to help all open tasks listed under "Work continues after Lyon" at the Wikimedia Hackathon 2015 workboard finding their best way forward.

  • If you are participating in Wikimania, consider adding the #Wikimania-Hackathon-2015 project to get this task in that loop, which is about to start.
  • If you think this project could welcome help from a dedicated Google Summer of Code or Outreachy intern, or from an Individual Engagement Grant, add the Possible-Tech-Projects project.
  • If you would like to receive some other type of support (organizing a Tech Talk, establishing contacts with existing developer teams in Wikimedia or elsewhere, travel sponsorship for a related activity... you name it), please create a subtask explaining your request and associate it with Developer-Advocacy (or you can start by commenting here if you prefer).
  • Keeping the description, priority and assigned fields up to date always helps. :)

For some context about this message, see T101151: Evaluate which projects showcased at the Wikimedia Hackathon should be supported further. It is the last communication related to Wikimedia-Hackathon-2015 that we will post here.

What is the status of this project and what needs to be done to complete it? This task has no priority, no assigned, and no trace of what was accomplished during the Wikimedia Hackathon.

Dbrant triaged this task as Low priority.Jun 30 2015, 2:26 PM

The Lite app is currently a branch in my personal fork of the Wikipedia Android app:
https://github.com/dbrant/apps-android-wikipedia/tree/lite

We'll migrate it into our Gerrit structure as soon as time permits.
Further work on the Lite app will be on hold until at least Q2, while we focus on developing the backend content service that the app will eventually consume.

Dbrant claimed this task.Jun 30 2015, 2:26 PM
LGoto closed this task as Declined.Apr 3 2018, 10:11 PM
LGoto added a subscriber: LGoto.

Closed as part of board grooming process.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptApr 3 2018, 10:11 PM